Tiny Core Linux

Tiny Core Extensions => TCE Q&A Forum => Topic started by: binarydemon on October 29, 2018, 08:32:40 AM

Title: Issues getting IRSSI.tcz working
Post by: binarydemon on October 29, 2018, 08:32:40 AM
Hi,

So initially I got the error:    irssi: error while loading shared libraries: libperl.so: cannot open shared object file: No such file or directory

After checking to make sure I had all the irssi and perl5 dependancies, I searched the forum and found a similar post here:

http://forum.tinycorelinux.net/index.php/topic,20685.0.html

and I tried to implement the solution suggested by coreplayer2 - in this post: http://forum.tinycorelinux.net/index.php/topic,20685.msg129078.html#msg129078

the path appeared to change slightly, I'm guessing because of an updated Perl5 and possibly it varies based on the version of Tinycore (core/tinycore/x64) being used?

so I made my link with this command:

sudo ln -sf /usr/local/lib/perl5/5.26.1/i486-linux-thread-multi/CORE/libperl.so /usr/lib/libperl.so

but now when I attempt to launch irssi, I no longer get the missing libperl.so error, the new error is:

irssi: symbol lookup error: irssi: undefined symbol: PL_perl_destruct_level


and I don't know where to go from there.  Help?  Anyone running irssi.tcz on tinycore 9.0 without issues?

Thanks,
Binarydemon

Title: Re: Issues getting IRSSI.tcz working
Post by: Juanito on October 29, 2018, 10:36:11 AM
I believe that irssi will need to be recompiled against the version of perl5 in the tc-9.x x86 repo.

You can pm the maintainer @nitram and request this.
Title: Re: Issues getting IRSSI.tcz working
Post by: binarydemon on October 29, 2018, 10:40:58 AM
I'll PM him, in the meantime - it's likely that going back to an older perl5.tcz would work?
Title: Re: Issues getting IRSSI.tcz working
Post by: Juanito on October 29, 2018, 10:44:59 AM
You need to go back to a single threaded version, but that might break something else.
Title: Re: Issues getting IRSSI.tcz working
Post by: binarydemon on November 02, 2018, 11:08:13 AM
Finally got a chance to test -

The current irssi.tcz works with the perl5.tcz from Tinycore 6.0 (http://tinycorelinux.net/6.x/x86/tcz/perl5.tcz). 

Like Juanito said - this would be a bad option if I had any other software using perl5, but it's a serviceable solution for me.